Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.ui
Class HTMLTable.ColumnFormatter

    java.lang.Object
      com.google.gwt.user.client.ui.HTMLTable.ColumnFormatter

Enclosing class:
  HTMLTable

    public class HTMLTable.ColumnFormatter

extends java.lang.Object

This class contains methods used to format a table's columns. It is limited by the support cross-browser HTML support for column formatting.

Field Summary
`protected Element` | `columnGroup`

Constructor Summary
`HTMLTable.ColumnFormatter()`

Method Summary
`void` | `addStyleName(int col, java.lang.String styleName)` Adds a style to the specified column.
`java.lang.String` | `getStyleName(int column)` Gets the style of the specified column.
`java.lang.String` | `getStylePrimaryName(int column)` Gets the primary style of the specified column.
`void` | `removeStyleName(int column, java.lang.String styleName)` Removes a style from the specified column.
`void` | `setStyleName(int column, java.lang.String styleName)` Sets the style name associated with the specified column.
`void` | `setStylePrimaryName(int column, java.lang.String styleName)` Sets the primary style name associated with the specified column.
`void` | `setWidth(int column, java.lang.String width)` Sets the width of the specified column.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### columnGroup

    protected Element columnGroup

Constructor Detail

### HTMLTable.ColumnFormatter

    public HTMLTable.ColumnFormatter()

Method Detail

### addStyleName

    public void addStyleName(int col,
                             java.lang.String styleName)

  Adds a style to the specified column.

  Parameters:
    `col` - the col to which the style will be added
    `styleName` - the style name to be added
  Throws:
    `java.lang.IndexOutOfBoundsException`
  See Also:
    `UIObject.addStyleName(String)`

### getStyleName

    public java.lang.String getStyleName(int column)

  Gets the style of the specified column.

  Parameters:
    `column` - the column to be queried
  Returns:
    the style name
  Throws:
    `java.lang.IndexOutOfBoundsException`
  See Also:
    `UIObject.getStyleName()`

### getStylePrimaryName

    public java.lang.String getStylePrimaryName(int column)

  Gets the primary style of the specified column.

  Parameters:
    `column` - the column to be queried
  Returns:
    the style name
  Throws:
    `java.lang.IndexOutOfBoundsException`
  See Also:
    `UIObject.getStylePrimaryName()`

### removeStyleName

    public void removeStyleName(int column,
                                java.lang.String styleName)

  Removes a style from the specified column.

  Parameters:
    `column` - the column from which the style will be removed
    `styleName` - the style name to be removed
  Throws:
    `java.lang.IndexOutOfBoundsException`
  See Also:
    `UIObject.removeStyleName(String)`

### setStyleName

    public void setStyleName(int column,
                             java.lang.String styleName)

  Sets the style name associated with the specified column.

  Parameters:
    `column` - the column whose style name is to be set
    `styleName` - the new style name
  Throws:
    `java.lang.IndexOutOfBoundsException`
  See Also:
    `UIObject.setStyleName(String)`

### setStylePrimaryName

    public void setStylePrimaryName(int column,
                                    java.lang.String styleName)

  Sets the primary style name associated with the specified column.

  Parameters:
    `column` - the column whose style name is to be set
    `styleName` - the new style name
  Throws:
    `java.lang.IndexOutOfBoundsException`
  See Also:
    `UIObject.setStylePrimaryName(String)`

### setWidth

    public void setWidth(int column,
                         java.lang.String width)

  Sets the width of the specified column.

  Parameters:
    `column` - the column of the cell whose width is to be set
    `width` - the cell's new width, in percentage or pixel units
  Throws:
    `java.lang.IndexOutOfBoundsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD